﻿#language: ru

Функционал: Создание документа Переработка

Сценарий: Создание документа Переработка со списанием
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И в поле 'от' я ввожу текст '01.11.2018 12:12:32'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я добавляю новую строку
	И в таблице "Выпуск" я активизирую поле "Номенклатура"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Российский 50%' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле "Характеристика"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Варка' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле "Серия"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' | 'Дата выпуска' |
		| '1'     | '11.11.2018'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я завершаю редактирование строки
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Заполнить'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловСерии" я выбираю точное значение 'По выпуску'
	И из выпадающего списка с именем "ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И я нажимаю на кнопку 'ОК'
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице "РаспределениеМатериалов" я активизирую поле "Серия"
	И в таблице "РаспределениеМатериалов" я выбираю текущую строку
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		|'Номер'|
		|'1'|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И в таблице "Выпуск" в поле 'Количество 1' я ввожу текст '135,000'
	И в таблице "Выпуск" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Создание документа Переработка без списания и проверкой списания партии на себя
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текст '15.02.2019'
	И в поле 'от' я ввожу текст '15.02.2019 15:12:32'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'milk_prod_Маслоцех'	|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Склад с ячейками' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускНоменклатура"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускСерия"
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		|'Номер'|
		|'1'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускКоличество"
	И в таблице "Выпуск" в поле 'Количество' я ввожу текст '21,000'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускКоличество1"
	И в таблице "Выпуск" в поле 'Количество 1' я ввожу текст '2,000'
	И я перехожу к закладке "Распределение материалов"
	И в таблице "Выпуск" я завершаю редактирование строки
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку с именем 'РаспределениеМатериаловДобавить'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловХарактеристика"
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловСерия"
	И в таблице "РаспределениеМатериалов" я выбираю текущую строку
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловКоличество"
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '2,000'
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловКоличество1"
	И в таблице "РаспределениеМатериалов" в поле 'Количество 1' я ввожу текст '1,000'
	И в таблице "РаспределениеМатериалов" я активизирую поле с именем "РаспределениеМатериаловКоличество"
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И я перехожу к закладке "Основное"
	И я нажимаю кнопку выбора у поля с именем "ЯчейкаВыпуск"
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно "1С:Предприятие"
	И я нажимаю на кнопку 'OK' 
	Тогда открылось окно 'Переработка (создание) *'	
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'N'  |
		| '1' |	
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_Пакет ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '2,000'
	И я перехожу к закладке "Основное"
	И я нажимаю кнопку выбора у поля с именем "ЯчейкаВыпуск"
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Выпуск первого сыра на упаковке
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текст '05.10.2020'
	И в поле 'от' я ввожу текст '05.10.2020 11:45:20'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_упак'
	И из выпадающего списка с именем "СкладВыпуск" я выбираю по строке 'milk_prod_упак'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '1'
	И в поле 'Дата выпуска' я ввожу текст '05.10.2020'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '100,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '20,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Выпуск второго сыра на упаковке
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текст '05.10.2020'
	И в поле 'от' я ввожу текст '05.10.2020 14:45:20'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_упак'
	И из выпадающего списка с именем "СкладВыпуск" я выбираю по строке 'milk_prod_упак'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_поше'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '2'
	И в поле 'Дата выпуска' я ввожу текст '05.10.2020'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '50,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '10,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Подготовка данных для всех операций. Для списания усушки
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текущую дату
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_сыр'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'milk_prod_Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '122'
	И в поле 'Дата выпуска' я ввожу текущую дату
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '53,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '18,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_пошех'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '122'
	И в поле 'Дата выпуска' я ввожу текущую дату
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '54,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '20,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И я закрыл все окна клиентского приложения

Сценарий: Подготовка данных для всех операций. Для списания материалов и усушки
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текущую дату
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_упако'
	И я изменяю флаг с именем 'УказыватьСкладВТаблицеМатериалы'
	И из выпадающего списка с именем "СкладВыпуск" я выбираю по строке 'milk_prod_камера созревания 1'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '52,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '18,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_поше'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '52,500'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '20,000'
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку с именем 'РаспределениеМатериаловДобавить'
	И в таблице "РаспределениеМатериалов" из выпадающего списка с именем "РаспределениеМатериаловНоменклатура" я выбираю по строке 'milk_prod_пакет'
	И в таблице "РаспределениеМатериалов" в поле с именем 'РаспределениеМатериаловКоличество' я ввожу текст '18,000'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита с именем "РаспределениеМатериаловСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Распределить на выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество' | 'Количество1' | 'Номенклатура'   			| 'Спецификация'       					   | 'Характеристика' | 'Этап'     |
		| 'кг'       | 'шт'         | '52,000'     | '18,000'      | 'milk_prod_Российский 50%' | 'milk_prod_Российский 50% milk_prod_Сыр' | 'На созревании'  | 'Упаковка' |
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Добавить'
	И в таблице "РаспределениеМатериалов" из выпадающего списка "Номенклатура" я выбираю по строке 'milk_prod_росс'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '52,000'
	И в таблице "РаспределениеМатериалов" в поле 'Количество 1' я ввожу текст '18,000'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Распределить на выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество' | 'Количество1' | 'Номенклатура'   			| 'Спецификация'       			 		   | 'Характеристика' | 'Этап'     |
		| 'кг'       | 'шт'         | '52,000'     | '18,000'      | 'milk_prod_Российский 50%' | 'milk_prod_Российский 50% milk_prod_Сыр' | 'На созревании'  | 'Упаковка' |
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита с именем "РаспределениеМатериаловСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'milk_prod_Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Добавить'
	И в таблице "РаспределениеМатериалов" из выпадающего списка "Номенклатура" я выбираю по строке 'milk_prod_поше'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '52,500'
	И в таблице "РаспределениеМатериалов" в поле 'Количество 1' я ввожу текст '20,000'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Распределить на выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество' | 'Количество1' | 'Номенклатура'    			 | 'Спецификация'        		   			 | 'Характеристика' | 'Этап'     |
		| 'кг'       | 'шт'         | '52,500'     | '20,000'      | 'milk_prod_Пошехонский 45%' | 'milk_prod_Пошехонский 45% milk_prod_Сыр' | 'На созревании'  | 'Упаковка' |
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита с именем "РаспределениеМатериаловСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    		  |
		| 'milk_prod_Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И я закрыл все окна клиентского приложения

Сценарий: Подготовка данных для всех операций. Для списания усушки с тары
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текущую дату
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_маркир'
	И из выпадающего списка с именем "СкладМатериалы" я выбираю по строке 'milk_prod_камера созревания 1'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Склад ГП'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_росс'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '50,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '18,000'
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку с именем 'РаспределениеМатериаловДобавить'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита с именем "РаспределениеМатериаловТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'   |
		| '0000001' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" из выпадающего списка с именем "РаспределениеМатериаловНоменклатура" я выбираю по строке 'milk_prod_рос'
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита с именем "РаспределениеМатериаловСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "РаспределениеМатериалов" в поле с именем 'РаспределениеМатериаловКоличество' я ввожу текст '50,000'
	И в таблице "РаспределениеМатериалов" в поле с именем 'РаспределениеМатериаловКоличество1' я ввожу текст '18,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И я закрыл все окна клиентского приложения

Сценарий: Выпуск сливок
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текущую дату
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_ПАЦ'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маслоцех'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_сливки'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле 'Спецификация' я ввожу текст ''
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,001'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И я закрыл все окна клиентского приложения